Button = Core.class(Sprite)

function Button:init()
	local bitmapUp = Bitmap.new(Texture.new("btn.jpg"))
	local bitmapDown = Bitmap.new(Texture.new("btn.jpg"))
	bitmapUp:setAnchorPoint(0.5, 0.5)
	bitmapDown:setAnchorPoint(0.5, 0.5)
	self.upState = bitmapUp
	self.downState = bitmapDown 
	
	self:addChild(self.downState)
	
	self:addEventListener(Event.TOUCHES_BEGIN, self.onTouchesBegin, self)
	self:addEventListener(Event.TOUCHES_END, self.onTouchesEnd, self)
end

function Button:onTouchesBegin(event)
	if self:hitTestPoint(event.touch.x, event.touch.y) then
		self:setScale(0.8)
		local animate = {scaleX = 1, scaleY = 1}
		local properties = {delay = 0}
		local tween = GTween.new(self, 0.05, animate , properties)
		
		local clickEvent = Event.new(CONSTANTS.TOUCHES_BEGIN)
		self:dispatchEvent(clickEvent)
	end
end

function Button:onTouchesEnd(event)
	if self:hitTestPoint(event.touch.x, event.touch.y) then
		local clickEvent = Event.new(CONSTANTS.TOUCHES_END)
		self:dispatchEvent(clickEvent)
	end
end
