Game = Core.class(Sprite)

local w = application:getContentWidth()/2 
local h = application:getContentHeight()/2 
	
function Game:init()
	local background = self:newRectange(640,960,0x1a1a1a)
	background:setPosition(0, 0) 
	self:addChild(background)
	
	self.items = {}
	local positionInterval = 110
	for i=0, 14
		do
			self.items[i] = item.new(up, down)
			if i <= 4 then
				self.items[i]:setPosition(i*positionInterval,0)
			elseif i <= 9 then 
				self.items[i]:setPosition(i%5*positionInterval, positionInterval)
			else
				self.items[i]:setPosition(i%5*positionInterval, positionInterval * 2)
			end
			
			self:addChild(self.items[i])
		end 
		
	self.btn = Button.new()
	self.btn:setPosition(w/2 ,550 )
	self:addChild(self.btn)
	
	self.btn:addEventListener(CONSTANTS.TOUCHES_END, onBtnHome, self)
end

function onBtnHome()
	sceneManager:changeScene("home", conf.transitionTime, conf.transition, conf.easing)
end


function Game:newRectange(w, h, color)
	local r = Shape.new()
	r:beginPath()         -- We have to tell shape to begin a path
	r:setFillStyle(Shape.SOLID, color) -- solid red fill color
	r:moveTo(0,0)     -- move pen to start of line
	r:lineTo(w,0)     -- draw top of rectangle
	r:lineTo(w,h)     -- draw right side of rectangle
	r:lineTo(0,h)     -- draw bottom of rectangle
	r:lineTo(0,0)     -- draw left side of rectangle
	r:endPath()     
	return r
end
