item = Core.class(Sprite)

function item:init(imgUp, imgDown)
	local bitmapUp = Bitmap.new(Texture.new("item.png"))
	self:addChild(bitmapUp)
	
	self.layerElements = Sprite.new()
	self.layerParticles = Sprite.new()
	self:addChild(self.layerElements)
	self:addChild(self.layerParticles)
	
	self:initTapEffectWave() --1 big wave 
	self:initTapEffectSparkle() --15 sparkle
	self:initTapEffectFlashP2() --3 flash
	self:initTapEffectFlashP3() --8 flash
end

function item:initTapEffectWave()
local waveGFX = (Texture.new("gdx/shockwave1.png"))	

local wave = CParticles.new(waveGFX, 1, 0.4, 0, "add")
wave:setSize(0.1)
wave:setAlpha(190)
wave:setColor(150,120,130)
wave:setAlphaMorphOut(0, 0.1)
wave:setSizeMorphOut(0.5, 0.4)
wave:setLoopMode(1)

self.emitterWave = CEmitter.new(0,0,0, self)
self.emitterWave:assignParticles(wave)

self.layerParticles:addChild(self.emitterWave)
end 

function item:initTapEffectSparkle()
local sparkleGFX = (Texture.new("gdx/sparkle01.png"))	

local sparkles = CParticles.new(sparkleGFX, 15, 0.5, 1, "add")
sparkles:setSize(1,2)
sparkles:setRotation(10, 1, 10, 220)
sparkles:setSpeed(120)
sparkles:setDirection(0, 360)
sparkles:setColor(60,255,60)
sparkles:setAlphaMorphOut(0, .5)
sparkles:setLoopMode(1)

self.emitterSparkle = CEmitter.new(0,0,0, self)
self.emitterSparkle:assignParticles(sparkles)

self.layerParticles:addChild(self.emitterSparkle)
end

function item:initTapEffectFlashP2()
local flashGFX = (Texture.new("gdx/flash01.png"))	

local maxParticle = 3
local maxLife = 1
local maxStartupDelay = 0
local rotateVelocity = -180
local rotateMaxVelocity = 180

local flash = CParticles.new(flashGFX, maxParticle, maxLife, maxStartupDelay, "add")
flash:setSize(0.5,0.6)
flash:setColor(255,255,0)
flash:setRotation(0, rotateVelocity, 360, rotateMaxVelocity)
flash:setAlphaMorphOut(50, .2)
flash:setLoopMode(1)

self.emitterFlashP2 = CEmitter.new(0,0,0, self)
self.emitterFlashP2:assignParticles(flash)

self.layerParticles:addChild(self.emitterFlashP2)
end

function item:initTapEffectFlashP3()
local flashGFX = (Texture.new("gdx/flash01.png"))	

local maxParticle = 8
local maxLife = 1
local maxStartupDelay = 0
local rotateVelocity = -180
local rotateMaxVelocity = 180

local flash = CParticles.new(flashGFX, maxParticle, maxLife, maxStartupDelay, "add")
flash:setSize(0.8,1.3)
flash:setColor(255,100,0)
flash:setRotation(0, rotateVelocity, 360, rotateMaxVelocity)
flash:setAlphaMorphOut(50, .2)
flash:setLoopMode(1)

self.emitterFlashP3 = CEmitter.new(0,0,0, self)
self.emitterFlashP3:assignParticles(flash)

self.layerParticles:addChild(self.emitterFlashP3)
end